
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest25 {

  public static boolean debug = false;

  @Test
  public void test01() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test01"); }


    // The following exception was thrown during execution in test generation
    try {
      com.google.javascript.rhino.EcmaError ecmaError1 = com.google.javascript.rhino.ScriptRuntime.typeError0("TypeError: hi!: hi!: (hi!: hi!)");
      org.junit.Assert.fail("Expected exception of type java.lang.RuntimeException");
    } catch (java.lang.RuntimeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.RuntimeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.RuntimeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test02() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test02"); }


    com.google.javascript.rhino.Node node2 = com.google.javascript.rhino.Node.newString(1, "hi!. hi! at hi! line 10 : (unknown column)");
    boolean b3 = node2.isLocalResultCall();
    node2.setSourcePositionForTree(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test03() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test03"); }


    long long1 = com.google.javascript.rhino.ScriptRuntime.testUint32String("TypeError: hi!: hi!: (hi!: hi!)");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test04() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test04"); }


    com.google.javascript.jscomp.CheckLevel checkLevel1 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType3 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel1, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel5 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType7 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel5, "hi!");
    int i8 = diagnosticType3.compareTo(diagnosticType7);
    com.google.javascript.jscomp.DiagnosticType[] diagnosticType_array9 = new com.google.javascript.jscomp.DiagnosticType[] { diagnosticType3 };
    com.google.javascript.jscomp.DiagnosticGroup diagnosticGroup10 = new com.google.javascript.jscomp.DiagnosticGroup(diagnosticType_array9);
    com.google.javascript.jscomp.DiagnosticGroups.TWEAKS = diagnosticGroup10;
    com.google.javascript.jscomp.DiagnosticGroups.CHECK_VARIABLES = diagnosticGroup10;
    com.google.javascript.jscomp.DiagnosticGroups.MISSING_PROPERTIES = diagnosticGroup10;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType_array9);

  }

  @Test
  public void test05() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test05"); }


    com.google.javascript.jscomp.CheckLevel checkLevel4 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType6 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel4, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel8 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType10 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel8, "hi!");
    int i11 = diagnosticType6.compareTo(diagnosticType10);
    java.lang.String[] str_array13 = new java.lang.String[] { "hi!" };
    com.google.javascript.jscomp.JSError jSError14 = com.google.javascript.jscomp.JSError.make("hi!", 10, (-1), diagnosticType10, str_array13);
    com.google.javascript.jscomp.SourceFile sourceFile16 = com.google.javascript.jscomp.SourceFile.fromFile("hi!");
    com.google.javascript.jscomp.JsAst jsAst17 = new com.google.javascript.jscomp.JsAst(sourceFile16);
    boolean b18 = jSError14.equals((java.lang.Object)jsAst17);
    com.google.javascript.jscomp.SourceFile sourceFile20 = com.google.javascript.jscomp.SourceFile.fromFile("hi!");
    boolean b21 = jSError14.equals((java.lang.Object)sourceFile20);
    sourceFile20.setOriginalPath("(#: hi!: hi!: hi!. hi! at hi! line 10 : (unknown column))");
    java.lang.String str24 = sourceFile20.getOriginalPath();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(jSError14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sourceFile16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sourceFile20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "(#: hi!: hi!: hi!. hi! at hi! line 10 : (unknown column))"+ "'", str24.equals("(#: hi!: hi!: hi!. hi! at hi! line 10 : (unknown column))"));

  }

  @Test
  public void test06() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test06"); }


    com.google.javascript.jscomp.SourceFile sourceFile1 = com.google.javascript.jscomp.SourceFile.fromFile("hi!");
    com.google.javascript.jscomp.JsAst jsAst2 = new com.google.javascript.jscomp.JsAst(sourceFile1);
    com.google.javascript.jscomp.CompilerInput compilerInput3 = new com.google.javascript.jscomp.CompilerInput((com.google.javascript.jscomp.SourceAst)jsAst2);
    java.lang.String str4 = compilerInput3.getName();
    com.google.javascript.jscomp.SourceFile sourceFile5 = compilerInput3.getSourceFile();
    com.google.javascript.jscomp.JsAst jsAst6 = new com.google.javascript.jscomp.JsAst(sourceFile5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sourceFile1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sourceFile5);

  }

  @Test
  public void test07() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test07"); }


    com.google.javascript.jscomp.CheckLevel checkLevel1 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType3 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel1, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel5 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType7 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel5, "hi!");
    int i8 = diagnosticType3.compareTo(diagnosticType7);
    com.google.javascript.jscomp.DiagnosticType[] diagnosticType_array9 = new com.google.javascript.jscomp.DiagnosticType[] { diagnosticType3 };
    com.google.javascript.jscomp.DiagnosticGroup diagnosticGroup10 = new com.google.javascript.jscomp.DiagnosticGroup(diagnosticType_array9);
    com.google.javascript.jscomp.DiagnosticGroups.DEPRECATED = diagnosticGroup10;
    com.google.javascript.jscomp.DiagnosticGroups.AMBIGUOUS_FUNCTION_DECL = diagnosticGroup10;
    com.google.javascript.jscomp.DiagnosticGroups.VISIBILITY = diagnosticGroup10;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType_array9);

  }

  @Test
  public void test08() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test08"); }


    com.google.javascript.jscomp.SourceAst sourceAst0 = null;
    com.google.javascript.jscomp.CompilerInput compilerInput3 = new com.google.javascript.jscomp.CompilerInput(sourceAst0, "com.google.javascript.rhino.EcmaError: TypeError: hi!", true);
    com.google.javascript.jscomp.SourceAst sourceAst4 = compilerInput3.getSourceAst();
    // The following exception was thrown during execution in test generation
    try {
      com.google.javascript.jscomp.Region region6 = compilerInput3.getRegion(10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(sourceAst4);

  }

  @Test
  public void test09() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test09"); }


    com.google.javascript.rhino.EvaluatorException evaluatorException5 = new com.google.javascript.rhino.EvaluatorException("(TypeError: hi!)", "OR \n", 10, "Node tree inequality:\nTree1:\nOR\n\n\nTree2:\nEOF 100\n    OR 1\n\n\nSubtree1: OR\n\n\nSubtree2: EOF 100\n    OR 1\n", 0);

  }

  @Test
  public void test10() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test10"); }


    com.google.javascript.rhino.Node node3 = new com.google.javascript.rhino.Node(100, 1, 0);
    node3.putBooleanProp(0, true);
    com.google.javascript.rhino.Node node8 = node3.getChildAtIndex(0);
    com.google.javascript.rhino.Node node12 = new com.google.javascript.rhino.Node(100, 1, 0);
    boolean b13 = node3.hasChild(node12);
    com.google.javascript.rhino.Node node18 = new com.google.javascript.rhino.Node(100, 1, 0);
    node18.putBooleanProp(0, true);
    com.google.javascript.rhino.Node node23 = node18.getChildAtIndex(0);
    com.google.javascript.rhino.Node node24 = node18.getLastSibling();
    node24.putBooleanProp(10, true);
    com.google.javascript.jscomp.CheckLevel checkLevel29 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType31 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel29, "hi!");
    java.lang.String[] str_array33 = new java.lang.String[] { "" };
    com.google.javascript.jscomp.JSError jSError34 = com.google.javascript.jscomp.JSError.make("hi!: hi!", node24, diagnosticType31, str_array33);
    com.google.javascript.rhino.Node node38 = new com.google.javascript.rhino.Node(100, 1, 0);
    node38.putBooleanProp(0, true);
    com.google.javascript.rhino.Node node43 = node38.getChildAtIndex(0);
    com.google.javascript.rhino.Node node47 = new com.google.javascript.rhino.Node(100, 1, 0);
    boolean b48 = node38.hasChild(node47);
    node24.addChildToBack(node38);
    boolean b50 = node24.isOnlyModifiesThisCall();
    node12.addChildrenToFront(node24);
    java.util.Set set52 = null;
    node12.setDirectives(set52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(node8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(node23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(jSError34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(node43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);

  }

  @Test
  public void test11() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test11"); }


    com.google.javascript.rhino.Node node3 = new com.google.javascript.rhino.Node(100, 1, 0);
    node3.putBooleanProp(0, true);
    com.google.javascript.rhino.Node node8 = node3.getChildAtIndex(0);
    com.google.javascript.rhino.Node node9 = node3.getLastSibling();
    node3.setType(1);
    com.google.javascript.rhino.Node node12 = node3.cloneTree();
    int i13 = node12.getChildCount();
    int i14 = node12.getCharno();
    node12.putIntProp(0, (-1));
    com.google.javascript.rhino.Node node18 = com.google.javascript.jscomp.NodeUtil.newExpr(node12);
    node18.detachChildren();
    boolean b20 = node18.wasEmptyNode();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(node8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test12() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test12"); }


    com.google.javascript.jscomp.DiagnosticType diagnosticType2 = com.google.javascript.jscomp.DiagnosticType.disabled("TypeError: hi!", "com.google.javascript.rhino.EvaluatorException: ");
    com.google.javascript.jscomp.CheckLevel checkLevel4 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType6 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel4, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel8 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType10 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel8, "hi!");
    int i11 = diagnosticType6.compareTo(diagnosticType10);
    java.lang.String str12 = diagnosticType10.key;
    com.google.javascript.jscomp.CheckLevel checkLevel17 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType19 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel17, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel21 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType23 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel21, "hi!");
    int i24 = diagnosticType19.compareTo(diagnosticType23);
    java.lang.String[] str_array26 = new java.lang.String[] { "hi!" };
    com.google.javascript.jscomp.JSError jSError27 = com.google.javascript.jscomp.JSError.make("hi!", 10, (-1), diagnosticType23, str_array26);
    com.google.javascript.jscomp.JSError jSError28 = com.google.javascript.jscomp.JSError.make(diagnosticType10, str_array26);
    int i29 = diagnosticType2.compareTo(diagnosticType10);
    java.lang.String str30 = diagnosticType2.key;
    com.google.javascript.jscomp.CheckLevel checkLevel32 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType34 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel32, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel36 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType38 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel36, "hi!");
    int i39 = diagnosticType34.compareTo(diagnosticType38);
    com.google.javascript.jscomp.DiagnosticType[] diagnosticType_array40 = new com.google.javascript.jscomp.DiagnosticType[] { diagnosticType34 };
    com.google.javascript.jscomp.DiagnosticGroup diagnosticGroup41 = new com.google.javascript.jscomp.DiagnosticGroup(diagnosticType_array40);
    com.google.javascript.jscomp.DiagnosticGroups.TWEAKS = diagnosticGroup41;
    com.google.javascript.jscomp.CheckLevel checkLevel44 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType46 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel44, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel48 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType50 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel48, "hi!");
    int i51 = diagnosticType46.compareTo(diagnosticType50);
    java.lang.String str52 = diagnosticType50.key;
    com.google.javascript.jscomp.CheckLevel checkLevel57 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType59 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel57, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel61 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType63 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel61, "hi!");
    int i64 = diagnosticType59.compareTo(diagnosticType63);
    java.lang.String[] str_array66 = new java.lang.String[] { "hi!" };
    com.google.javascript.jscomp.JSError jSError67 = com.google.javascript.jscomp.JSError.make("hi!", 10, (-1), diagnosticType63, str_array66);
    com.google.javascript.jscomp.JSError jSError68 = com.google.javascript.jscomp.JSError.make(diagnosticType50, str_array66);
    boolean b69 = diagnosticGroup41.matches(diagnosticType50);
    java.lang.String str70 = diagnosticType50.key;
    int i71 = diagnosticType2.compareTo(diagnosticType50);
    java.text.MessageFormat messageFormat72 = diagnosticType50.format;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(jSError27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(jSError28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == (-20));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "TypeError: hi!"+ "'", str30.equals("TypeError: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "hi!"+ "'", str52.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(jSError67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(jSError68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "hi!"+ "'", str70.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == (-20));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(messageFormat72);

  }

  @Test
  public void test13() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test13"); }


    com.google.javascript.jscomp.SourceFile sourceFile1 = com.google.javascript.jscomp.SourceFile.fromFile("hi!");
    com.google.javascript.jscomp.JsAst jsAst2 = new com.google.javascript.jscomp.JsAst(sourceFile1);
    com.google.javascript.jscomp.CompilerInput compilerInput5 = new com.google.javascript.jscomp.CompilerInput((com.google.javascript.jscomp.SourceAst)jsAst2, "", false);
    java.lang.String str6 = compilerInput5.getName();
    com.google.javascript.jscomp.SourceFile sourceFile7 = compilerInput5.getSourceFile();
    java.lang.String str8 = sourceFile7.getOriginalPath();
    java.lang.String str9 = sourceFile7.getOriginalPath();
    com.google.javascript.jscomp.CheckLevel checkLevel11 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType13 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel11, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel15 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType17 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel15, "hi!");
    int i18 = diagnosticType13.compareTo(diagnosticType17);
    com.google.javascript.jscomp.DiagnosticType[] diagnosticType_array19 = new com.google.javascript.jscomp.DiagnosticType[] { diagnosticType13 };
    com.google.javascript.jscomp.DiagnosticGroup diagnosticGroup20 = new com.google.javascript.jscomp.DiagnosticGroup(diagnosticType_array19);
    com.google.javascript.jscomp.DiagnosticGroups.TWEAKS = diagnosticGroup20;
    com.google.javascript.jscomp.DiagnosticGroups.CHECK_VARIABLES = diagnosticGroup20;
    java.lang.RuntimeException runtimeException23 = com.google.javascript.rhino.ScriptRuntime.undefCallError((java.lang.Object)str9, (java.lang.Object)diagnosticGroup20);
    com.google.javascript.jscomp.DiagnosticGroups.TYPE_INVALIDATION = diagnosticGroup20;
    com.google.javascript.jscomp.DiagnosticGroups.INVALID_CASTS = diagnosticGroup20;
    com.google.javascript.jscomp.DiagnosticGroups.TYPE_INVALIDATION = diagnosticGroup20;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sourceFile1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sourceFile7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "hi!"+ "'", str8.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!"+ "'", str9.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(runtimeException23);

  }

  @Test
  public void test14() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test14"); }


    com.google.javascript.rhino.Node node3 = new com.google.javascript.rhino.Node(100, 1, 0);
    boolean b4 = node3.isQualifiedName();
    com.google.javascript.rhino.JSDocInfo jSDocInfo5 = null;
    node3.setJSDocInfo(jSDocInfo5);
    com.google.javascript.rhino.Node node10 = com.google.javascript.rhino.Node.newString(10, "hi!: hi!");
    com.google.javascript.rhino.Node node11 = new com.google.javascript.rhino.Node(0, node10);
    boolean b12 = node3.hasChild(node10);
    com.google.javascript.rhino.Node node13 = node3.getNext();
    boolean b14 = node3.isNoSideEffectsCall();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(node13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test15() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test15"); }


    com.google.javascript.rhino.Node node3 = new com.google.javascript.rhino.Node(100, 1, 0);
    java.lang.String str4 = node3.getQualifiedName();
    boolean b5 = node3.hasChildren();
    java.util.Set set6 = node3.getDirectives();
    int i7 = node3.getCharno();
    com.google.javascript.rhino.Node node12 = com.google.javascript.rhino.Node.newString(100, "", (-1), 0);
    node12.removeProp(0);
    node12.removeProp(0);
    java.lang.RuntimeException runtimeException17 = com.google.javascript.rhino.ScriptRuntime.undefCallError((java.lang.Object)node3, (java.lang.Object)node12);
    java.lang.Iterable iterable18 = node3.siblings();
    com.google.javascript.rhino.Node node22 = new com.google.javascript.rhino.Node(100, 1, 0);
    com.google.javascript.rhino.Node node23 = node22.getNext();
    com.google.javascript.rhino.Node node27 = new com.google.javascript.rhino.Node(100, 1, 0);
    boolean b28 = node27.isQualifiedName();
    com.google.javascript.rhino.Node node32 = new com.google.javascript.rhino.Node(100, 1, 0);
    java.lang.String str33 = node32.getQualifiedName();
    boolean b34 = node32.hasChildren();
    com.google.javascript.rhino.Node node38 = new com.google.javascript.rhino.Node(100, 1, 0);
    node38.putBooleanProp(0, true);
    com.google.javascript.rhino.Node node43 = node38.getChildAtIndex(0);
    com.google.javascript.rhino.Node node44 = node38.getLastSibling();
    node38.setType(1);
    com.google.javascript.rhino.Node node47 = node38.cloneTree();
    com.google.javascript.rhino.Node.AncestorIterable ancestorIterable48 = node38.getAncestors();
    com.google.javascript.rhino.Node.FileLevelJsDocBuilder fileLevelJsDocBuilder49 = node38.getJsDocBuilderForNode();
    com.google.javascript.rhino.Node node50 = node32.clonePropsFrom(node38);
    com.google.javascript.rhino.Node node51 = node27.clonePropsFrom(node38);
    boolean b52 = node22.isEquivalentToTyped(node27);
    com.google.javascript.rhino.Node node53 = node3.clonePropsFrom(node22);
    boolean b54 = node22.wasEmptyNode();
    // The following exception was thrown during execution in test generation
    try {
      node22.setDouble(0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(set6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(runtimeException17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(node23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(node43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(ancestorIterable48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fileLevelJsDocBuilder49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);

  }

  @Test
  public void test16() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test16"); }


    com.google.javascript.rhino.EcmaError ecmaError1 = com.google.javascript.rhino.ScriptRuntime.typeError("hi!");
    int i2 = ecmaError1.getColumnNumber();
    int i3 = ecmaError1.getLineNumber();
    java.lang.String str4 = ecmaError1.details();
    java.io.FilenameFilter filenameFilter5 = null;
    java.lang.String str6 = ecmaError1.getScriptStackTrace(filenameFilter5);
    java.lang.String str7 = ecmaError1.sourceName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(ecmaError1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "TypeError: hi!"+ "'", str4.equals("TypeError: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "<No stack trace available>"+ "'", str6.equals("<No stack trace available>"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);

  }

  @Test
  public void test17() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test17"); }


    // The following exception was thrown during execution in test generation
    try {
      com.google.javascript.rhino.Context.reportError("OR \n", "TypeError: hi!: hi!", 10, "(TypeError: hi!: hi!)", 0);
      org.junit.Assert.fail("Expected exception of type com.google.javascript.rhino.EvaluatorException");
    } catch (com.google.javascript.rhino.EvaluatorException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("com.google.javascript.rhino.EvaluatorException")) {
        org.junit.Assert.fail("Expected exception of type com.google.javascript.rhino.EvaluatorException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test18() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test18"); }


    com.google.javascript.rhino.EcmaError ecmaError2 = com.google.javascript.rhino.ScriptRuntime.constructError("EOL 1 [label_id_prop: 1]", "(OR 0 [jsdoc_info: JSDocInfo])");
    ecmaError2.initLineNumber(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(ecmaError2);

  }

  @Test
  public void test19() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test19"); }


    com.google.javascript.rhino.Node node3 = new com.google.javascript.rhino.Node(100, 1, 0);
    boolean b4 = node3.isQualifiedName();
    com.google.javascript.rhino.jstype.JSType jSType5 = null;
    node3.setJSType(jSType5);
    java.util.Collection collection7 = com.google.javascript.jscomp.NodeUtil.getVarsDeclaredInBranch(node3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection7);

  }

  @Test
  public void test20() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test20"); }


    com.google.javascript.jscomp.CheckLevel checkLevel1 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType3 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel1, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel5 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType7 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel5, "hi!");
    int i8 = diagnosticType3.compareTo(diagnosticType7);
    com.google.javascript.jscomp.DiagnosticType[] diagnosticType_array9 = new com.google.javascript.jscomp.DiagnosticType[] { diagnosticType3 };
    com.google.javascript.jscomp.DiagnosticGroup diagnosticGroup10 = new com.google.javascript.jscomp.DiagnosticGroup(diagnosticType_array9);
    com.google.javascript.jscomp.CheckLevel checkLevel12 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType14 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel12, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel16 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType18 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel16, "hi!");
    int i19 = diagnosticType14.compareTo(diagnosticType18);
    boolean b20 = diagnosticGroup10.matches(diagnosticType18);
    com.google.javascript.jscomp.DiagnosticGroups.TYPE_INVALIDATION = diagnosticGroup10;
    com.google.javascript.jscomp.DiagnosticGroups.CHECK_TYPES = diagnosticGroup10;
    com.google.javascript.jscomp.DiagnosticGroups.CHECK_VARIABLES = diagnosticGroup10;
    com.google.javascript.jscomp.DiagnosticGroups.ACCESS_CONTROLS = diagnosticGroup10;
    com.google.javascript.jscomp.DiagnosticGroups.CHECK_USELESS_CODE = diagnosticGroup10;
    com.google.javascript.jscomp.DiagnosticGroups.FILEOVERVIEW_JSDOC = diagnosticGroup10;
    com.google.javascript.jscomp.DiagnosticGroups.DEPRECATED = diagnosticGroup10;
    com.google.javascript.jscomp.CheckLevel checkLevel29 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType31 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel29, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel33 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType35 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel33, "hi!");
    int i36 = diagnosticType31.compareTo(diagnosticType35);
    com.google.javascript.jscomp.DiagnosticType[] diagnosticType_array37 = new com.google.javascript.jscomp.DiagnosticType[] { diagnosticType31 };
    com.google.javascript.jscomp.DiagnosticGroup diagnosticGroup38 = new com.google.javascript.jscomp.DiagnosticGroup(diagnosticType_array37);
    com.google.javascript.jscomp.CheckLevel checkLevel40 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType42 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel40, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel44 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType46 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel44, "hi!");
    int i47 = diagnosticType42.compareTo(diagnosticType46);
    boolean b48 = diagnosticGroup38.matches(diagnosticType46);
    java.text.MessageFormat messageFormat49 = diagnosticType46.format;
    boolean b50 = diagnosticGroup10.matches(diagnosticType46);
    com.google.javascript.jscomp.DiagnosticType diagnosticType53 = com.google.javascript.jscomp.DiagnosticType.warning("DiagnosticGroup<hi!: hi!>", "OR 1 [label_id_prop: 1]\n");
    com.google.javascript.jscomp.CheckLevel checkLevel54 = diagnosticType53.level;
    com.google.javascript.jscomp.DiagnosticGroupWarningsGuard diagnosticGroupWarningsGuard55 = new com.google.javascript.jscomp.DiagnosticGroupWarningsGuard(diagnosticGroup10, checkLevel54);
    com.google.javascript.jscomp.JSError jSError56 = null;
    // The following exception was thrown during execution in test generation
    try {
      com.google.javascript.jscomp.CheckLevel checkLevel57 = diagnosticGroupWarningsGuard55.level(jSError56);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(messageFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(checkLevel54);

  }

  @Test
  public void test21() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test21"); }


    com.google.javascript.jscomp.CheckLevel checkLevel2 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType4 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel2, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel6 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType8 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel6, "hi!");
    int i9 = diagnosticType4.compareTo(diagnosticType8);
    com.google.javascript.jscomp.DiagnosticType[] diagnosticType_array10 = new com.google.javascript.jscomp.DiagnosticType[] { diagnosticType4 };
    com.google.javascript.jscomp.DiagnosticGroup diagnosticGroup11 = new com.google.javascript.jscomp.DiagnosticGroup(diagnosticType_array10);
    com.google.javascript.jscomp.CheckLevel checkLevel13 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType15 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel13, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel17 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType19 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel17, "hi!");
    int i20 = diagnosticType15.compareTo(diagnosticType19);
    boolean b21 = diagnosticGroup11.matches(diagnosticType19);
    com.google.javascript.jscomp.DiagnosticGroups.TYPE_INVALIDATION = diagnosticGroup11;
    com.google.javascript.jscomp.DiagnosticGroups.CHECK_TYPES = diagnosticGroup11;
    com.google.javascript.jscomp.DiagnosticGroups.CHECK_VARIABLES = diagnosticGroup11;
    com.google.javascript.jscomp.DiagnosticGroups.ACCESS_CONTROLS = diagnosticGroup11;
    com.google.javascript.jscomp.DiagnosticGroups.CHECK_USELESS_CODE = diagnosticGroup11;
    com.google.javascript.jscomp.DiagnosticGroup[] diagnosticGroup_array27 = new com.google.javascript.jscomp.DiagnosticGroup[] { diagnosticGroup11 };
    com.google.javascript.jscomp.DiagnosticGroup diagnosticGroup28 = new com.google.javascript.jscomp.DiagnosticGroup("hi!: hi!", diagnosticGroup_array27);
    java.lang.String str29 = diagnosticGroup28.toString();
    com.google.javascript.jscomp.DiagnosticGroups.EXTERNS_VALIDATION = diagnosticGroup28;
    com.google.javascript.jscomp.CheckLevel checkLevel31 = null;
    com.google.javascript.jscomp.DiagnosticGroupWarningsGuard diagnosticGroupWarningsGuard32 = new com.google.javascript.jscomp.DiagnosticGroupWarningsGuard(diagnosticGroup28, checkLevel31);
    java.lang.String str33 = diagnosticGroupWarningsGuard32.toString();
    com.google.javascript.jscomp.CheckLevel checkLevel35 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType37 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel35, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel39 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType41 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel39, "hi!");
    int i42 = diagnosticType37.compareTo(diagnosticType41);
    com.google.javascript.jscomp.DiagnosticType[] diagnosticType_array43 = new com.google.javascript.jscomp.DiagnosticType[] { diagnosticType37 };
    com.google.javascript.jscomp.DiagnosticGroup diagnosticGroup44 = new com.google.javascript.jscomp.DiagnosticGroup(diagnosticType_array43);
    com.google.javascript.jscomp.DiagnosticGroups.EXTERNS_VALIDATION = diagnosticGroup44;
    com.google.javascript.jscomp.DiagnosticGroups.GLOBAL_THIS = diagnosticGroup44;
    com.google.javascript.jscomp.DiagnosticGroups.TYPE_INVALIDATION = diagnosticGroup44;
    com.google.javascript.jscomp.CheckLevel checkLevel52 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType54 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel52, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel56 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType58 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel56, "hi!");
    int i59 = diagnosticType54.compareTo(diagnosticType58);
    java.lang.String[] str_array61 = new java.lang.String[] { "hi!" };
    com.google.javascript.jscomp.JSError jSError62 = com.google.javascript.jscomp.JSError.make("hi!", 10, (-1), diagnosticType58, str_array61);
    com.google.javascript.jscomp.SourceFile sourceFile64 = com.google.javascript.jscomp.SourceFile.fromFile("hi!");
    com.google.javascript.jscomp.JsAst jsAst65 = new com.google.javascript.jscomp.JsAst(sourceFile64);
    boolean b66 = jSError62.equals((java.lang.Object)jsAst65);
    java.lang.String str67 = jSError62.sourceName;
    int i68 = jSError62.lineNumber;
    boolean b69 = diagnosticGroup44.matches(jSError62);
    com.google.javascript.jscomp.CheckLevel checkLevel70 = diagnosticGroupWarningsGuard32.level(jSError62);
    com.google.javascript.rhino.Node node75 = new com.google.javascript.rhino.Node(100, 1, 0);
    node75.putBooleanProp(0, true);
    com.google.javascript.rhino.Node node80 = node75.getChildAtIndex(0);
    com.google.javascript.rhino.Node node81 = node75.getLastSibling();
    node81.putBooleanProp(10, true);
    com.google.javascript.jscomp.CheckLevel checkLevel86 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType88 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel86, "hi!");
    java.lang.String[] str_array90 = new java.lang.String[] { "" };
    com.google.javascript.jscomp.JSError jSError91 = com.google.javascript.jscomp.JSError.make("hi!: hi!", node81, diagnosticType88, str_array90);
    com.google.javascript.jscomp.CheckLevel checkLevel92 = jSError91.level;
    com.google.javascript.jscomp.CheckLevel checkLevel93 = diagnosticGroupWarningsGuard32.level(jSError91);
    int i94 = jSError91.lineNumber;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticGroup_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "DiagnosticGroup<hi!: hi!>"+ "'", str29.equals("DiagnosticGroup<hi!: hi!>"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "DiagnosticGroup<hi!: hi!>(null)"+ "'", str33.equals("DiagnosticGroup<hi!: hi!>(null)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(jSError62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sourceFile64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "hi!"+ "'", str67.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(checkLevel70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(node80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(jSError91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(checkLevel92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(checkLevel93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i94 == 1);

  }

  @Test
  public void test22() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test22"); }


    com.google.javascript.jscomp.DiagnosticType diagnosticType2 = com.google.javascript.jscomp.DiagnosticType.disabled("Node tree inequality:\nTree1:\nOR 1 [label_id_prop: 1]\n\n\nTree2:\nEOL 1 [label_id_prop: 1]\n\n\nSubtree1: OR 1 [label_id_prop: 1]\n\n\nSubtree2: EOL 1 [label_id_prop: 1]\n", "OR 1 [label_id_prop: 1] [vars: 1]\n");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType2);

  }

  @Test
  public void test23() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test23"); }


    com.google.javascript.rhino.Node node1 = null;
    com.google.javascript.rhino.Node node6 = new com.google.javascript.rhino.Node(100, 1, 0);
    node6.putBooleanProp(0, true);
    com.google.javascript.rhino.Node node11 = node6.getChildAtIndex(0);
    com.google.javascript.rhino.Node node12 = node6.getLastSibling();
    com.google.javascript.rhino.Node node13 = node12.getFirstChild();
    com.google.javascript.jscomp.CheckLevel checkLevel15 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType17 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel15, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel19 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType21 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel19, "hi!");
    int i22 = diagnosticType17.compareTo(diagnosticType21);
    com.google.javascript.jscomp.DiagnosticType[] diagnosticType_array23 = new com.google.javascript.jscomp.DiagnosticType[] { diagnosticType17 };
    com.google.javascript.jscomp.DiagnosticGroup diagnosticGroup24 = new com.google.javascript.jscomp.DiagnosticGroup(diagnosticType_array23);
    com.google.javascript.jscomp.CheckLevel checkLevel26 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType28 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel26, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel30 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType32 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel30, "hi!");
    int i33 = diagnosticType28.compareTo(diagnosticType32);
    boolean b34 = diagnosticGroup24.matches(diagnosticType32);
    java.lang.String[] str_array36 = new java.lang.String[] { "DiagnosticGroup<hi!: hi!>" };
    com.google.javascript.jscomp.JSError jSError37 = com.google.javascript.jscomp.JSError.make("", node12, diagnosticType32, str_array36);
    java.lang.String str38 = com.google.javascript.rhino.ScriptRuntime.toString((java.lang.Object)diagnosticType32);
    com.google.javascript.jscomp.CheckLevel checkLevel43 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType45 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel43, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel47 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType49 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel47, "hi!");
    int i50 = diagnosticType45.compareTo(diagnosticType49);
    java.lang.String str51 = diagnosticType49.key;
    com.google.javascript.rhino.Node node56 = new com.google.javascript.rhino.Node(100, 1, 0);
    node56.putBooleanProp(0, true);
    com.google.javascript.rhino.Node node61 = node56.getChildAtIndex(0);
    com.google.javascript.rhino.Node node62 = node56.getLastSibling();
    node62.putBooleanProp(10, true);
    com.google.javascript.jscomp.CheckLevel checkLevel67 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType69 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel67, "hi!");
    java.lang.String[] str_array71 = new java.lang.String[] { "" };
    com.google.javascript.jscomp.JSError jSError72 = com.google.javascript.jscomp.JSError.make("hi!: hi!", node62, diagnosticType69, str_array71);
    com.google.javascript.jscomp.JSError jSError73 = com.google.javascript.jscomp.JSError.make("hi!", 1, 1, diagnosticType49, str_array71);
    com.google.javascript.jscomp.JSError jSError74 = com.google.javascript.jscomp.JSError.make("", node1, diagnosticType32, str_array71);
    com.google.javascript.jscomp.CheckLevel checkLevel75 = diagnosticType32.level;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(node11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(node13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(jSError37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "hi!: hi!"+ "'", str38.equals("hi!: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "hi!"+ "'", str51.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(node61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(jSError72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(jSError73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(jSError74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(checkLevel75);

  }

  @Test
  public void test24() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test24"); }


    com.google.javascript.rhino.Node node4 = new com.google.javascript.rhino.Node(100, 1, 0);
    node4.putBooleanProp(0, true);
    com.google.javascript.rhino.Node node8 = node4.getLastChild();
    com.google.javascript.jscomp.CheckLevel checkLevel9 = null;
    com.google.javascript.jscomp.CheckLevel checkLevel14 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType16 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel14, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel18 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType20 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel18, "hi!");
    int i21 = diagnosticType16.compareTo(diagnosticType20);
    java.lang.String[] str_array23 = new java.lang.String[] { "hi!" };
    com.google.javascript.jscomp.JSError jSError24 = com.google.javascript.jscomp.JSError.make("hi!", 10, (-1), diagnosticType20, str_array23);
    int i25 = jSError24.lineNumber;
    java.lang.String str26 = jSError24.description;
    com.google.javascript.jscomp.CheckLevel checkLevel31 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType33 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel31, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel35 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType37 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel35, "hi!");
    int i38 = diagnosticType33.compareTo(diagnosticType37);
    java.lang.String[] str_array40 = new java.lang.String[] { "hi!" };
    com.google.javascript.jscomp.JSError jSError41 = com.google.javascript.jscomp.JSError.make("hi!", 10, (-1), diagnosticType37, str_array40);
    com.google.javascript.jscomp.SourceFile sourceFile43 = com.google.javascript.jscomp.SourceFile.fromFile("hi!");
    com.google.javascript.jscomp.JsAst jsAst44 = new com.google.javascript.jscomp.JsAst(sourceFile43);
    boolean b45 = jSError41.equals((java.lang.Object)jsAst44);
    java.lang.String str46 = jSError41.sourceName;
    boolean b47 = jSError24.equals((java.lang.Object)jSError41);
    com.google.javascript.jscomp.DiagnosticType diagnosticType48 = jSError41.getType();
    java.lang.String str49 = diagnosticType48.toString();
    com.google.javascript.jscomp.CheckLevel checkLevel54 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType56 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel54, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel58 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType60 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel58, "hi!");
    int i61 = diagnosticType56.compareTo(diagnosticType60);
    java.lang.String[] str_array63 = new java.lang.String[] { "hi!" };
    com.google.javascript.jscomp.JSError jSError64 = com.google.javascript.jscomp.JSError.make("hi!", 10, (-1), diagnosticType60, str_array63);
    com.google.javascript.jscomp.JSError jSError65 = com.google.javascript.jscomp.JSError.make("TypeError: hi!: hi!: (hi!: hi!)", node4, checkLevel9, diagnosticType48, str_array63);
    com.google.javascript.jscomp.DiagnosticType diagnosticType69 = com.google.javascript.jscomp.DiagnosticType.warning("DiagnosticGroup<hi!: hi!>", "OR 1 [label_id_prop: 1]\n");
    com.google.javascript.jscomp.CheckLevel checkLevel70 = diagnosticType69.level;
    com.google.javascript.jscomp.DiagnosticType diagnosticType72 = com.google.javascript.jscomp.DiagnosticType.make("#: hi!: hi!: TypeError: hi!", checkLevel70, "(hi!: hi!)");
    com.google.javascript.jscomp.MessageFormatter messageFormatter73 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str74 = jSError65.format(checkLevel70, messageFormatter73);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(node8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(jSError24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "hi!"+ "'", str26.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(jSError41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sourceFile43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "hi!"+ "'", str46.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "hi!: hi!"+ "'", str49.equals("hi!: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(jSError64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(jSError65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(checkLevel70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType72);

  }

  @Test
  public void test25() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test25"); }


    com.google.javascript.jscomp.SourceFile sourceFile1 = com.google.javascript.jscomp.SourceFile.fromFile("hi!");
    com.google.javascript.jscomp.JsAst jsAst2 = new com.google.javascript.jscomp.JsAst(sourceFile1);
    com.google.javascript.jscomp.CompilerInput compilerInput5 = new com.google.javascript.jscomp.CompilerInput((com.google.javascript.jscomp.SourceAst)jsAst2, "", false);
    java.lang.String str6 = compilerInput5.getName();
    com.google.javascript.jscomp.SourceFile sourceFile7 = compilerInput5.getSourceFile();
    com.google.javascript.jscomp.SourceFile sourceFile9 = com.google.javascript.jscomp.SourceFile.fromFile("hi!");
    com.google.javascript.jscomp.JsAst jsAst10 = new com.google.javascript.jscomp.JsAst(sourceFile9);
    com.google.javascript.jscomp.CompilerInput compilerInput13 = new com.google.javascript.jscomp.CompilerInput((com.google.javascript.jscomp.SourceAst)jsAst10, "", false);
    java.lang.String str14 = compilerInput13.getName();
    com.google.javascript.jscomp.CompilerInput compilerInput17 = new com.google.javascript.jscomp.CompilerInput((com.google.javascript.jscomp.SourceAst)compilerInput13, "", false);
    java.lang.String str18 = compilerInput17.getName();
    java.lang.RuntimeException runtimeException19 = com.google.javascript.rhino.ScriptRuntime.undefCallError((java.lang.Object)compilerInput5, (java.lang.Object)str18);
    com.google.javascript.jscomp.SourceAst sourceAst20 = compilerInput5.getSourceAst();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sourceFile1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sourceFile7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sourceFile9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + ""+ "'", str18.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(runtimeException19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sourceAst20);

  }

  @Test
  public void test26() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test26"); }


    com.google.javascript.rhino.Node node4 = new com.google.javascript.rhino.Node(100, 1, 0);
    com.google.javascript.rhino.Node node5 = node4.getNext();
    com.google.javascript.rhino.Node node9 = new com.google.javascript.rhino.Node(100, 1, 0);
    boolean b10 = node9.isQualifiedName();
    com.google.javascript.rhino.Node node14 = new com.google.javascript.rhino.Node(100, 1, 0);
    java.lang.String str15 = node14.getQualifiedName();
    boolean b16 = node14.hasChildren();
    com.google.javascript.rhino.Node node20 = new com.google.javascript.rhino.Node(100, 1, 0);
    node20.putBooleanProp(0, true);
    com.google.javascript.rhino.Node node25 = node20.getChildAtIndex(0);
    com.google.javascript.rhino.Node node26 = node20.getLastSibling();
    node20.setType(1);
    com.google.javascript.rhino.Node node29 = node20.cloneTree();
    com.google.javascript.rhino.Node.AncestorIterable ancestorIterable30 = node20.getAncestors();
    com.google.javascript.rhino.Node.FileLevelJsDocBuilder fileLevelJsDocBuilder31 = node20.getJsDocBuilderForNode();
    com.google.javascript.rhino.Node node32 = node14.clonePropsFrom(node20);
    com.google.javascript.rhino.Node node33 = node9.clonePropsFrom(node20);
    boolean b34 = node4.isEquivalentToTyped(node9);
    com.google.javascript.rhino.JSDocInfo jSDocInfo35 = null;
    node4.setJSDocInfo(jSDocInfo35);
    boolean b37 = node4.isOnlyModifiesThisCall();
    com.google.javascript.jscomp.DiagnosticType diagnosticType40 = com.google.javascript.jscomp.DiagnosticType.error("OR 1", "TypeError: hi!: TypeError: hi!");
    java.lang.String[] str_array42 = new java.lang.String[] { "100" };
    com.google.javascript.jscomp.JSError jSError43 = com.google.javascript.jscomp.JSError.make("(#: hi!: hi!: hi!. hi! at hi! line 10 : (unknown column))", node4, diagnosticType40, str_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(node5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(node25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(ancestorIterable30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fileLevelJsDocBuilder31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(jSError43);

  }

  @Test
  public void test27() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test27"); }


    com.google.javascript.rhino.Node node4 = new com.google.javascript.rhino.Node(100, 1, 0);
    node4.putBooleanProp(0, true);
    com.google.javascript.rhino.Node node9 = node4.getChildAtIndex(0);
    com.google.javascript.rhino.Node node10 = node4.getLastSibling();
    node4.setType(1);
    com.google.javascript.rhino.Node node13 = node4.cloneTree();
    node13.setSourcePositionForTree(100);
    int i16 = node13.getType();
    node13.setType(1);
    java.util.Set set19 = null;
    node13.setDirectives(set19);
    com.google.javascript.rhino.Node node25 = com.google.javascript.rhino.Node.newString(100, "", (-1), 0);
    boolean b26 = node25.isNoSideEffectsCall();
    int i27 = node25.getChildCount();
    int i28 = node25.getSourcePosition();
    com.google.javascript.rhino.Node node29 = new com.google.javascript.rhino.Node((-1), node13, node25);
    com.google.javascript.rhino.Node node33 = new com.google.javascript.rhino.Node(100, 1, 0);
    node33.putBooleanProp(0, true);
    com.google.javascript.rhino.Node node38 = node33.getChildAtIndex(0);
    com.google.javascript.rhino.Node node39 = node33.getLastSibling();
    node33.setType(1);
    com.google.javascript.rhino.Node node42 = node33.getLastSibling();
    com.google.javascript.rhino.Node node43 = node29.copyInformationFromForTree(node33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(node9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(node38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node43);

  }

  @Test
  public void test28() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test28"); }


    com.google.javascript.jscomp.SourceFile sourceFile1 = com.google.javascript.jscomp.SourceFile.fromFile("hi!");
    com.google.javascript.jscomp.JsAst jsAst2 = new com.google.javascript.jscomp.JsAst(sourceFile1);
    com.google.javascript.jscomp.CompilerInput compilerInput5 = new com.google.javascript.jscomp.CompilerInput((com.google.javascript.jscomp.SourceAst)jsAst2, "", false);
    java.lang.String str6 = compilerInput5.getName();
    com.google.javascript.jscomp.CompilerInput compilerInput9 = new com.google.javascript.jscomp.CompilerInput((com.google.javascript.jscomp.SourceAst)compilerInput5, "", false);
    com.google.javascript.jscomp.CompilerInput compilerInput11 = new com.google.javascript.jscomp.CompilerInput((com.google.javascript.jscomp.SourceAst)compilerInput5, true);
    com.google.javascript.jscomp.CompilerInput compilerInput14 = new com.google.javascript.jscomp.CompilerInput((com.google.javascript.jscomp.SourceAst)compilerInput11, "(TypeError: hi!: hi!)", true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sourceFile1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));

  }

  @Test
  public void test29() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test29"); }


    com.google.javascript.rhino.EvaluatorException evaluatorException3 = new com.google.javascript.rhino.EvaluatorException("OR 1 [label_id_prop: 1]", "(OR 0 [jsdoc_info: JSDocInfo])", 10);

  }

  @Test
  public void test30() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test30"); }


    com.google.javascript.jscomp.AbstractCompiler abstractCompiler0 = null;
    com.google.javascript.rhino.Node node4 = com.google.javascript.rhino.Node.newNumber((-1.0d), 1, (-1));
    com.google.javascript.rhino.Node node5 = com.google.javascript.jscomp.NodeUtil.newExpr(node4);
    com.google.javascript.rhino.Node node6 = node5.cloneNode();
    com.google.javascript.jscomp.NodeTraversal.Callback callback7 = null;
    // The following exception was thrown during execution in test generation
    try {
      com.google.javascript.jscomp.NodeTraversal.traverse(abstractCompiler0, node5, callback7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node6);

  }

  @Test
  public void test31() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test31"); }


    com.google.javascript.rhino.Node node5 = new com.google.javascript.rhino.Node(100, 1, 0);
    node5.putBooleanProp(0, true);
    com.google.javascript.rhino.Node node10 = node5.getChildAtIndex(0);
    com.google.javascript.rhino.Node node11 = node5.getLastSibling();
    node5.setType(1);
    com.google.javascript.rhino.Node node14 = node5.cloneTree();
    com.google.javascript.rhino.Node node18 = new com.google.javascript.rhino.Node(100, 1, 0);
    node18.putBooleanProp(0, true);
    com.google.javascript.rhino.Node node25 = new com.google.javascript.rhino.Node(100, 1, 0);
    boolean b26 = node25.isQualifiedName();
    com.google.javascript.rhino.JSDocInfo jSDocInfo27 = null;
    node25.setJSDocInfo(jSDocInfo27);
    com.google.javascript.rhino.Node node32 = new com.google.javascript.rhino.Node(100, 1, 0);
    node32.putBooleanProp(0, true);
    com.google.javascript.rhino.Node node36 = node32.getLastChild();
    com.google.javascript.rhino.Node node39 = new com.google.javascript.rhino.Node(1, node5, node18, node25, node32, 100, 10);
    com.google.javascript.rhino.Node node41 = com.google.javascript.rhino.Node.newString("hi!: hi!");
    node18.addChildToFront(node41);
    com.google.javascript.rhino.Node node43 = node41.cloneTree();
    com.google.javascript.rhino.Node node47 = new com.google.javascript.rhino.Node(100, 1, 0);
    node47.putBooleanProp(0, true);
    com.google.javascript.rhino.Node node52 = node47.getChildAtIndex(0);
    com.google.javascript.rhino.Node node53 = node47.getLastSibling();
    node47.setType(1);
    com.google.javascript.rhino.Node node56 = node47.getLastSibling();
    java.lang.Object obj58 = node47.getProp(100);
    java.util.Set set59 = node47.getDirectives();
    boolean b60 = node43.isEquivalentTo(node47);
    com.google.javascript.rhino.Node node63 = new com.google.javascript.rhino.Node(100, node43, 1, 10);
    // The following exception was thrown during execution in test generation
    try {
      com.google.javascript.rhino.Node node64 = com.google.javascript.jscomp.NodeUtil.newExpr(node43);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(node10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(node36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(node52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(set59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);

  }

  @Test
  public void test32() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test32"); }


    com.google.javascript.rhino.Node node3 = new com.google.javascript.rhino.Node(100, 1, 0);
    java.lang.String str4 = node3.getQualifiedName();
    boolean b5 = node3.hasChildren();
    java.util.Set set6 = node3.getDirectives();
    int i7 = node3.getCharno();
    com.google.javascript.rhino.Node node12 = com.google.javascript.rhino.Node.newString(100, "", (-1), 0);
    node12.removeProp(0);
    node12.removeProp(0);
    java.lang.RuntimeException runtimeException17 = com.google.javascript.rhino.ScriptRuntime.undefCallError((java.lang.Object)node3, (java.lang.Object)node12);
    java.lang.Iterable iterable18 = node3.siblings();
    com.google.javascript.rhino.Node node20 = com.google.javascript.rhino.Node.newString("hi!: hi!");
    boolean b21 = node20.isOptionalArg();
    com.google.javascript.rhino.Node node22 = node3.clonePropsFrom(node20);
    boolean b23 = node20.wasEmptyNode();
    com.google.javascript.rhino.Node node24 = node20.getNext();
    node20.detachChildren();
    node20.setType(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(set6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(runtimeException17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(node24);

  }

  @Test
  public void test33() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test33"); }


    com.google.javascript.jscomp.SourceFile sourceFile1 = com.google.javascript.jscomp.SourceFile.fromFile("hi!");
    com.google.javascript.jscomp.JsAst jsAst2 = new com.google.javascript.jscomp.JsAst(sourceFile1);
    com.google.javascript.jscomp.CompilerInput compilerInput3 = new com.google.javascript.jscomp.CompilerInput((com.google.javascript.jscomp.SourceAst)jsAst2);
    com.google.javascript.jscomp.JSSourceFile jSSourceFile6 = com.google.javascript.jscomp.JSSourceFile.fromCode("#", "");
    java.lang.String str7 = jSSourceFile6.toString();
    // The following exception was thrown during execution in test generation
    try {
      jsAst2.setSourceFile((com.google.javascript.jscomp.SourceFile)jSSourceFile6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalStateException");
    } catch (java.lang.IllegalStateException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalStateException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalStateException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sourceFile1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(jSSourceFile6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "#"+ "'", str7.equals("#"));

  }

  @Test
  public void test34() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test34"); }


    com.google.javascript.jscomp.DiagnosticType diagnosticType3 = com.google.javascript.jscomp.DiagnosticType.warning("DiagnosticGroup<hi!: hi!>", "OR 1 [label_id_prop: 1]\n");
    com.google.javascript.jscomp.CheckLevel checkLevel4 = diagnosticType3.level;
    com.google.javascript.jscomp.DiagnosticType diagnosticType6 = com.google.javascript.jscomp.DiagnosticType.make("OR 1 [label_id_prop: 1] [vars: 1]\n", checkLevel4, "hi!. hi! at hi! line 10 : (unknown column)");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(checkLevel4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType6);

  }

  @Test
  public void test35() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test35"); }


    com.google.javascript.rhino.Node node5 = new com.google.javascript.rhino.Node(100, 1, 0);
    boolean b6 = node5.isQualifiedName();
    int i7 = node5.getChildCount();
    com.google.javascript.rhino.Node[] node_array8 = new com.google.javascript.rhino.Node[] { node5 };
    com.google.javascript.rhino.Node node11 = new com.google.javascript.rhino.Node(0, node_array8, 100, 0);
    node11.detachChildren();
    java.lang.String str16 = node11.toString(false, true, true);
    com.google.javascript.rhino.Node node19 = new com.google.javascript.rhino.Node(10, node11, 100, 1);
    boolean b20 = node11.hasOneChild();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "EOF"+ "'", str16.equals("EOF"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test36() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test36"); }


    com.google.javascript.rhino.Node node3 = new com.google.javascript.rhino.Node(100, 1, 0);
    node3.putBooleanProp(0, true);
    com.google.javascript.rhino.Node node8 = node3.getChildAtIndex(0);
    com.google.javascript.rhino.Node node9 = node3.getLastSibling();
    node3.setType(1);
    node3.putBooleanProp(10, false);
    com.google.javascript.rhino.Node node15 = com.google.javascript.jscomp.NodeUtil.newExpr(node3);
    com.google.javascript.rhino.Node node16 = node3.getLastChild();
    java.lang.String str20 = node3.toString(true, false, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(node8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(node15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(node16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "EOL 1"+ "'", str20.equals("EOL 1"));

  }

  @Test
  public void test37() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test37"); }


    com.google.javascript.jscomp.CheckLevel checkLevel1 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType3 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel1, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel5 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType7 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel5, "hi!");
    int i8 = diagnosticType3.compareTo(diagnosticType7);
    com.google.javascript.jscomp.DiagnosticType[] diagnosticType_array9 = new com.google.javascript.jscomp.DiagnosticType[] { diagnosticType3 };
    com.google.javascript.jscomp.DiagnosticGroup diagnosticGroup10 = new com.google.javascript.jscomp.DiagnosticGroup(diagnosticType_array9);
    com.google.javascript.jscomp.CheckLevel checkLevel12 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType14 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel12, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel16 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType18 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel16, "hi!");
    int i19 = diagnosticType14.compareTo(diagnosticType18);
    boolean b20 = diagnosticGroup10.matches(diagnosticType18);
    com.google.javascript.jscomp.DiagnosticGroups.TYPE_INVALIDATION = diagnosticGroup10;
    com.google.javascript.jscomp.DiagnosticGroups.CHECK_TYPES = diagnosticGroup10;
    com.google.javascript.jscomp.DiagnosticGroups.CHECK_VARIABLES = diagnosticGroup10;
    com.google.javascript.jscomp.DiagnosticGroups.ACCESS_CONTROLS = diagnosticGroup10;
    com.google.javascript.jscomp.DiagnosticGroups.CHECK_USELESS_CODE = diagnosticGroup10;
    com.google.javascript.jscomp.DiagnosticGroups.FILEOVERVIEW_JSDOC = diagnosticGroup10;
    com.google.javascript.jscomp.DiagnosticGroups.DEPRECATED = diagnosticGroup10;
    com.google.javascript.jscomp.CheckLevel checkLevel29 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType31 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel29, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel33 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType35 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel33, "hi!");
    int i36 = diagnosticType31.compareTo(diagnosticType35);
    com.google.javascript.jscomp.DiagnosticType[] diagnosticType_array37 = new com.google.javascript.jscomp.DiagnosticType[] { diagnosticType31 };
    com.google.javascript.jscomp.DiagnosticGroup diagnosticGroup38 = new com.google.javascript.jscomp.DiagnosticGroup(diagnosticType_array37);
    com.google.javascript.jscomp.CheckLevel checkLevel40 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType42 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel40, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel44 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType46 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel44, "hi!");
    int i47 = diagnosticType42.compareTo(diagnosticType46);
    boolean b48 = diagnosticGroup38.matches(diagnosticType46);
    java.text.MessageFormat messageFormat49 = diagnosticType46.format;
    boolean b50 = diagnosticGroup10.matches(diagnosticType46);
    com.google.javascript.jscomp.DiagnosticType diagnosticType53 = com.google.javascript.jscomp.DiagnosticType.warning("DiagnosticGroup<hi!: hi!>", "OR 1 [label_id_prop: 1]\n");
    com.google.javascript.jscomp.CheckLevel checkLevel54 = diagnosticType53.level;
    com.google.javascript.jscomp.DiagnosticGroupWarningsGuard diagnosticGroupWarningsGuard55 = new com.google.javascript.jscomp.DiagnosticGroupWarningsGuard(diagnosticGroup10, checkLevel54);
    com.google.javascript.jscomp.WarningsGuard[] warningsGuard_array56 = new com.google.javascript.jscomp.WarningsGuard[] { diagnosticGroupWarningsGuard55 };
    com.google.javascript.jscomp.ComposeWarningsGuard composeWarningsGuard57 = new com.google.javascript.jscomp.ComposeWarningsGuard(warningsGuard_array56);
    java.lang.String str58 = composeWarningsGuard57.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(messageFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(checkLevel54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(warningsGuard_array56);

  }

  @Test
  public void test38() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test38"); }


    com.google.javascript.jscomp.CheckLevel checkLevel1 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType3 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel1, "hi!");
    com.google.javascript.jscomp.CheckLevel checkLevel5 = null;
    com.google.javascript.jscomp.DiagnosticType diagnosticType7 = com.google.javascript.jscomp.DiagnosticType.make("hi!", checkLevel5, "hi!");
    int i8 = diagnosticType3.compareTo(diagnosticType7);
    com.google.javascript.jscomp.DiagnosticType[] diagnosticType_array9 = new com.google.javascript.jscomp.DiagnosticType[] { diagnosticType3 };
    com.google.javascript.jscomp.DiagnosticGroup diagnosticGroup10 = new com.google.javascript.jscomp.DiagnosticGroup(diagnosticType_array9);
    com.google.javascript.jscomp.DiagnosticGroups.EXTERNS_VALIDATION = diagnosticGroup10;
    com.google.javascript.jscomp.DiagnosticGroups.GLOBAL_THIS = diagnosticGroup10;
    com.google.javascript.jscomp.DiagnosticGroups.AMBIGUOUS_FUNCTION_DECL = diagnosticGroup10;
    com.google.javascript.jscomp.DiagnosticGroups.TYPE_INVALIDATION = diagnosticGroup10;
    com.google.javascript.jscomp.DiagnosticGroups.INTERNET_EXPLORER_CHECKS = diagnosticGroup10;
    com.google.javascript.jscomp.DiagnosticGroups.ACCESS_CONTROLS = diagnosticGroup10;
    com.google.javascript.jscomp.DiagnosticGroups.INVALID_CASTS = diagnosticGroup10;
    com.google.javascript.jscomp.DiagnosticGroups.CHECK_USELESS_CODE = diagnosticGroup10;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagnosticType_array9);

  }

  @Test
  public void test39() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest25.test39"); }


    com.google.javascript.jscomp.SourceFile sourceFile1 = com.google.javascript.jscomp.SourceFile.fromFile("hi!");
    com.google.javascript.jscomp.JsAst jsAst2 = new com.google.javascript.jscomp.JsAst(sourceFile1);
    com.google.javascript.jscomp.CompilerInput compilerInput5 = new com.google.javascript.jscomp.CompilerInput((com.google.javascript.jscomp.SourceAst)jsAst2, "", false);
    java.lang.String str6 = compilerInput5.getName();
    com.google.javascript.jscomp.CompilerInput compilerInput9 = new com.google.javascript.jscomp.CompilerInput((com.google.javascript.jscomp.SourceAst)compilerInput5, "", false);
    com.google.javascript.jscomp.CompilerInput compilerInput11 = new com.google.javascript.jscomp.CompilerInput((com.google.javascript.jscomp.SourceAst)compilerInput5, true);
    com.google.javascript.jscomp.CompilerInput compilerInput13 = new com.google.javascript.jscomp.CompilerInput((com.google.javascript.jscomp.SourceAst)compilerInput11, true);
    com.google.javascript.jscomp.SourceFile sourceFile14 = compilerInput11.getSourceFile();
    java.lang.String str15 = sourceFile14.getOriginalPath();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sourceFile1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sourceFile14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));

  }

}
